package tld.company.project.test;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Named
@SessionScoped
public class TestBean implements Serializable
{
	private static final Logger log = LoggerFactory.getLogger(TestBean.class);
	
	private String name;
	private String code;
	
	private Location location;
	private List<Location> locations;
	
	@PostConstruct
	public void init()
	{
		locations = new ArrayList<Location>();
		
		locations.add(new Location("Berlin"));
		locations.add(new Location("London"));
		locations.add(new Location("New York"));
		locations.add(new Location("Moscow"));
		locations.add(new Location("Bejing"));
		
		location = locations.get(2);
	}
	
	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public String getCode()
	{
		return code;
	}

	public void setCode(String code)
	{
		this.code = code;
	}

	public Location getLocation()
	{
		return location;
	}

	public void setLocation(Location location)
	{
		this.location = location;
	}

	public List<Location> getLocations()
	{
		return locations;
	}

	public void setLocations(List<Location> locations)
	{
		this.locations = locations;
	}
	
	public void create()
	{
		log.info("Creating new whatever...");
	}
	
	// for converter to mimic DB query
	public Location getLocationFor(String name)
	{
		for ( Location location : locations )
		{
			if ( location.getName().equals(name) )
			{
				return location;
			}
		}
		
		return null;		
	}
}
